package staticconstants;

import java.util.Arrays;

/**
 * The static error return messages to be printed from itemHandler.
 */
public class InvalidReturn
{
    public static final String INVALID_STRING_MESSAGE = "You may not have entered anything,"
        + " this item parameter cannot be empty";
    public static final String INVALID_INT_MESSAGE =
        "What you typed is a negative number or zero this parameter "
            + "expects only a whole positive number";
    public static final String INVALID_CATEGORY_MESSAGE =
        "The category you have typed is invalid please retry";
    public static final String NUMBER_EXCEPTION_ERROR_MESSAGE =
        "You have entered a non-number where a number is expected,"
            + "please retry with a positive number. Following error occurred: ";
    public static final String INVALID_DOUBLE_MESSAGE = "You have entered zero or a negative "
        + "number this item parameter must be a positive whole or decimal number above zero";
    public static final String INVALID_COLOR_MESSAGE = "You may have entered an invalid color\n"
        + "valid colors are:" + Arrays.stream(ValidColors.values()).toList();
    public static final String INVALID_POSITIVE_OR_NEGATIVE_INT_MESSAGE = "You may have entered a "
        + "non-number or a decimal point where only positive or negative whole numbers are "
        + "expected\nplease retry";
    public static final String ITEM_NUMBER_OCCUPIED_IN_REGISTRY = "This item number already exists"
        + " in item registry, please type a different one";

    private InvalidReturn()
    {

    }
}

